<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV101-56-g411a2eed:2023-07-24#


/**
 * Plugin Name: WooCommerce GPWebPayGpe 
 * Description: WooCommerce payment plugin for GPWebPayGpe 
 * Version: 101.56
 * Plugin URI: https://www.platiti.cz/
 * Text Domain: WooCommerceAdapter
 * Author: Miroslav Novak www.platiti.cz
 */


namespace Platiti\GPWebPayGpeNs\WooCommerce;


if ("GPWebPayGpeNs" != "Pti"."UniNs") { // @phpstan-ignore-line
	require_once(__DIR__ ."/../GPWebPayGpeBinder/lib/WCHooks.php");
} else {
	require_once(WP_PLUGIN_DIR ."/WooCommerceAdapter/lib/WCHooks.php");
}

add_filter( 'upgrader_package_options', __NAMESPACE__ . '\\wc_adapter_upgrader_package_options');

add_action( 'plugins_loaded', __NAMESPACE__ . '\\init_wc_gpwebpaygpe_class');

function init_wc_gpwebpaygpe_class(){
	if (file_exists(__DIR__ ."/../GPWebPayGpeBinder/lib/WooCommerceAdapter.php")) require_once(__DIR__ ."/../GPWebPayGpeBinder/lib/WooCommerceAdapter.php");
	else require_once(WP_PLUGIN_DIR ."/WooCommerceAdapter/lib/WooCommerceAdapter.php");

	class GPWebPayGpeBinder extends WC_UniAdapter {
		public function __construct() {
			parent::__construct( 'GPWebPayGpe', '' );
		}
	}
	class GPWebPayGpeBinderGooglePay extends WC_UniAdapter {
		public function __construct() {
			parent::__construct( 'GPWebPayGpe', 'GooglePay' );
		}
	}
	class GPWebPayGpeBinderApplePay extends WC_UniAdapter {
		public function __construct() {
			parent::__construct( 'GPWebPayGpe', 'ApplePay' );
		}
	}
	class GPWebPayGpeBinderBankAll extends WC_UniAdapter {
		public function __construct() {
			parent::__construct( 'GPWebPayGpe', 'BankAll' );
		}
	}

}

add_filter( 'woocommerce_payment_gateways', __NAMESPACE__ . '\\woocommerce_add_gpwebpaygpe_class' );

function woocommerce_add_gpwebpaygpe_class($methods){
	$methods[] = __NAMESPACE__ . '\GPWebPayGpeBinder';
	$methods[] = __NAMESPACE__ . '\GPWebPayGpeBinderGooglePay';
	$methods[] = __NAMESPACE__ . '\GPWebPayGpeBinderApplePay';
	$methods[] = __NAMESPACE__ . '\GPWebPayGpeBinderBankAll';

	return $methods;
}

register_activation_hook( __FILE__, __NAMESPACE__ . '\\unimodul_plugin_activated' );

add_action( 'woocommerce_after_add_to_cart_form', function () {(new GPWebPayGpeBinder())->showProductInstallmentEmbedHtml();} );
